CREATE TABLE irc_cand_msg_store (
    CAND_MSG_STORE_ID           NUMBER(18, 0),
    MSG_TYPE                    VARCHAR2(80)     NOT NULL,
    PROCESSING_STATUS           VARCHAR2(120)    NOT NULL,
    REFERENCE_ID                NUMBER       ,
    RETRY_COUNT                 NUMBER(2, 0) ,
    MESSAGE_DUMP                CLOB         ,
    PROCESSING_ERROR_MESSAGE    CLOB         ,
    CREATION_DATE               TIMESTAMP(6)     NOT NULL,
    CREATED_BY                  VARCHAR2(256)    NOT NULL,
    LAST_UPDATED_BY             VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN           VARCHAR2(128),
    OBJECT_VERSION_NUMBER       NUMBER(9, 0)     NOT NULL,
    CAND_MSG_STORE_ID           NUMBER(18, 0),
    MSG_TYPE                    VARCHAR2(80)     NOT NULL,
    PROCESSING_STATUS           VARCHAR2(120)    NOT NULL,
    REFERENCE_ID                NUMBER       ,
    RETRY_COUNT                 NUMBER(2, 0) ,
    MESSAGE_DUMP                CLOB         ,
    PROCESSING_ERROR_MESSAGE    CLOB         ,
    CREATION_DATE               TIMESTAMP(6)     NOT NULL,
    CREATED_BY                  VARCHAR2(256)    NOT NULL,
    LAST_UPDATED_BY             VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN           VARCHAR2(128),
    OBJECT_VERSION_NUMBER       NUMBER(9, 0)     NOT NULL,
    CONSTRAINT pk_irc_cand_msg_store PRIMARY KEY (CAND_MSG_STORE_ID, CAND_MSG_STORE_ID)
);
